package com.ruoyi.ss.cardGetRecords.mapper;

import java.util.List;
import com.ruoyi.ss.cardGetRecords.domain.CardGetRecords;
import com.ruoyi.ss.cardGetRecords.domain.CardGetRecordsVO;
import com.ruoyi.ss.cardGetRecords.domain.CardGetRecordsQuery;
import org.apache.ibatis.annotations.Param;

/**
 * 卡券领取（购买）记录Mapper接口
 *
 * @author qzz
 * @date 2025-03-19
 */
public interface CardGetRecordsMapper
{
    /**
     * 查询卡券领取（购买）记录
     *
     * @param recordId 卡券领取（购买）记录主键
     * @return 卡券领取（购买）记录
     */
    public CardGetRecordsVO selectCardGetRecordsByRecordId(Long recordId);

    /**
     * 查询卡券领取（购买）记录列表
     *
     * @param query 卡券领取（购买）记录
     * @return 卡券领取（购买）记录集合
     */
    public List<CardGetRecordsVO> selectCardGetRecordsList(@Param("query")CardGetRecordsQuery query);

    /**
     * 新增卡券领取（购买）记录
     *
     * @param cardGetRecords 卡券领取（购买）记录
     * @return 结果
     */
    public int insertCardGetRecords(CardGetRecords cardGetRecords);

    /**
     * 修改卡券领取（购买）记录
     *
     * @param cardGetRecords 卡券领取（购买）记录
     * @return 结果
     */
    public int updateCardGetRecords(@Param("data") CardGetRecords cardGetRecords);

    /**
     * 删除卡券领取（购买）记录
     *
     * @param recordId 卡券领取（购买）记录主键
     * @return 结果
     */
    public int deleteCardGetRecordsByRecordId(Long recordId);

    /**
     * 批量删除卡券领取（购买）记录
     *
     * @param recordIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteCardGetRecordsByRecordIds(Long[] recordIds);
}
