package com.ruoyi.ss.cardGetRecords.service;

import java.util.List;
import com.ruoyi.ss.cardGetRecords.domain.CardGetRecords;
import com.ruoyi.ss.cardGetRecords.domain.CardGetRecordsVO;
import com.ruoyi.ss.cardGetRecords.domain.CardGetRecordsQuery;

/**
 * 卡券领取（购买）记录Service接口
 *
 * @author qzz
 * @date 2025-03-19
 */
public interface ICardGetRecordsService
{
    /**
     * 查询卡券领取（购买）记录
     *
     * @param recordId 卡券领取（购买）记录主键
     * @return 卡券领取（购买）记录
     */
    public CardGetRecordsVO selectCardGetRecordsByRecordId(Long recordId);

    /**
     * 查询卡券领取（购买）记录列表
     *
     * @param cardGetRecords 卡券领取（购买）记录
     * @return 卡券领取（购买）记录集合
     */
    public List<CardGetRecordsVO> selectCardGetRecordsList(CardGetRecordsQuery cardGetRecords);

    /**
     * 新增卡券领取（购买）记录
     *
     * @param cardGetRecords 卡券领取（购买）记录
     * @return 结果
     */
    public int insertCardGetRecords(CardGetRecords cardGetRecords);

    /**
     * 修改卡券领取（购买）记录
     *
     * @param cardGetRecords 卡券领取（购买）记录
     * @return 结果
     */
    public int updateCardGetRecords(CardGetRecords cardGetRecords);

    /**
     * 批量删除卡券领取（购买）记录
     *
     * @param recordIds 需要删除的卡券领取（购买）记录主键集合
     * @return 结果
     */
    public int deleteCardGetRecordsByRecordIds(Long[] recordIds);

    /**
     * 删除卡券领取（购买）记录信息
     *
     * @param recordId 卡券领取（购买）记录主键
     * @return 结果
     */
    public int deleteCardGetRecordsByRecordId(Long recordId);

    /**
     * 获取用户可用卡券
     */
    List<CardGetRecordsVO> getAvailableCard(Long userId);
}
